Please note: This project is no longer active. The website is kept online for historic purposes only.
If you´re looking for a Linux driver for your Atheros WLAN device, you should continue here .

Ticket #1159 (new defect)

Opened 15 years ago

Last modified 15 years ago

linksys WMP55AG PCI card cannot scan or get an IP address via dhcp

Reported by: anonymous Assigned to:
Priority: major Milestone:
Component: madwifi: other Version: trunk
Keywords: WMP55AG IOMMU Cc:
Patch is attached: 0 Pending:

Description

In ubuntu linux kernel 2.6.17-10 and the madwifi driver that goes with it the card works just fine. In ubuntu linux kernel 2.6.17-11 card can neither scan with "iwlist ath0 scan", nor obtain an ip address via dhcp. When I built and installed linux kernel 2.6.20 manually and then built the latest madwifi driver against that kernel, the same observation holds, i.e. no APs detected, no dhcp. The version of the madwifi driver is whatever was on the svn trunk on Feb. 17, 2007. I verified that there are at least 7 visible APs in my neighbourhood using an aironet card on my laptop. Kismet scanner doesn't find any APs either but it used to on 2.6.17-10. Everything else looks normal, i.e. wifi0 is there as usual and so is ath0. No weird messages in dmesg buffer either.

Another bug which merits a separate ticket is that the atheros driver is not compatible with the IOMMU kernel option on the x86_64 architecture. In a nutshell since I have more than 3GB RAM in my box if I enable the "remap memory" BIOS (northbridge) option, every standard 2.6.20 driver seems to be IOMMU compliant, but if the latest (svn trunk, version Feb. 17) atheros driver is installed I get a lockup (i.e. CAPS lock key doesn't turn light off/on) on startup when the driver is loaded. So for now I disable memory remapping in the BIOS as a workaround. IOMMU and suboptions seem to be applicable to late series kernels, e.g. definitely 2.6.20 but it doesn't seem to be obeyed by drivers in older kernels like 2.6.17-11. In other words, don't bother investigating this issue on older kernels.

Change History

02/19/07 06:33:59 changed by mrenzmann

Do you get any error messages when you try to scan with MadWifi while running 2.6.17-11? If so, please paste them here (enclosed in three curly brackets: {{{ and }}}). Did you update MadWifi along with the switch from 2.6.17-10 to 2.6.17-11?

Please file a separate ticket for your IOMMU-related observations.

02/22/07 04:08:16 changed by anonymous

Hi this may actually not be a driver bug. Today I powered on my box again, did "iwlist ath0 scan" and it did find one AP. I am still puzzled why my aironet card in my laptop picks up 7+ APs, and the linksys PCI card which I thought was more powerful picks up only 1 AP. Whatever, you can close this bug, but keep the IOMMU option in mind when you update the driver. Thanks.

02/24/07 05:01:24 changed by anonymous

I'm having a similiar problem with SuSE 10.2. I just installed it fresh onto my compaq nx5000. In fact, the only reason I upgraded to 10.2 was in hopes of getting it to work.

Is there a debugging or logging option I can turn on so as to see any complaints from the ath drivers?

tgagne:/etc # uname -a Linux tgagne 2.6.18.2-34-default #1 SMP Mon Nov 27 11:46:27 UTC 2006 i686 i686 i386 GNU/Linux